diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index ac3e509..3b0c3b9 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -57060,17 +57060,18 @@ MappingPackage3(A:SetCategory, B:SetCategory, C:SetCategory):_
         faac: (A,A)->C
  
         -- Fix left and right arguments as constants.
-        curryRight(fabc,b) == fabc(#1,b)
-        curryLeft(fabc,a) == fabc(a, #1)
+        curryRight(fabc,b) == (a:A):C +-> fabc(a,b)
+        curryLeft(fabc,a)  == (b:B):C +-> fabc(a,b)
  
         -- Add left and right arguments which are ignored.
-        constantRight fac     == fac #1
-        constantLeft fbc     == fbc #2
+        constantRight fac == (a:A, b:B):C +-> fac a
+        constantLeft fbc  == (a:A, b:B):C +-> fbc b
  
         -- Combinators to rearrange arguments.
-        twist fabc  == fabc(#2, #1)
+        twist fabc == (b:B, a:A):C +-> fabc(a,b)
+
         -- Functional composition
-        fbc*fab == comp(fbc,fab,#1)
+        fbc*fab == (a:A):C +-> comp(fbc,fab,a)
 
 @
 <<MAPPKG3.dotabb>>=
diff --git a/changelog b/changelog
index 0826802..303f501 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090607 tpd src/axiom-website/patches.html 20090607.04.tpd.patch
+20090607 tpd books/bookvol10.4 MAPPKG3 +-> conversion
 20090607 tpd src/axiom-website/patches.html 20090607.03.tpd.patch
 20090607 tpd src/input/Makefile add tpiezas.input algebraic identities
 20090607 tpd src/input/tpiezas.input CATS tests of algebraic identities
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8ec5f5d..12196a5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1483,5 +1483,7 @@ bookvol10.4 MAPPGK1 +-> conversion<br/>
 bookvol10.4 MAPPGK2 +-> conversion<br/>
 <a href="patches/20090607.03.tpd.patch">20090607.03.tpd.patch</a>
 tpieazas.input CATS tests of algebraic identites<br/>
+<a href="patches/20090607.04.tpd.patch">20090607.04.tpd.patch</a>
+bookvol10.4 MAPPGK3 +-> conversion<br/>
  </body>
 </html>
